# DESY Public Dataset Metadata definition © 2024 by Deutsches
# Elektronen-Synchrotron DESY is licensed under CC BY 4.0
id: https://public-data.desy.de/metadata/gassystem
name: GasSystem
prefixes:
  linkml: https://w3id.org/linkml/
  schema: http://schema.org/
imports: [linkml:types ]
default_range: string

classes:

  GasSys_Instrument:
    attributes:
      Instrument_id:
        range: integer
      value:
        range: float
        multivalued: true
        minimum_value: 0
        maximum_value: 10000
      target:
        range: float
      ramp:
        range: float
      status:
        range: integer
      gas_type:
        range: string

  GasSystemData:
    description: Discreption of gas instrument 
    
    attributes:
      GasSys_Instrument_type:
        description: type of instrument
        range: string
      Instruments:
        description: name of instrument
        multivalued: true
        range: GasSys_Instrument
